RandomNumberGenerator Class Reference

`#include <Random.h>`

Collaboration diagram for RandomNumberGenerator:
[legend]

## Public Member Functions

uint8_t | generateByte ()
void | generateBlock (uint8_t *output, unsigned count)
uint8_t | generateByte ()
void | generateBlock (uint8_t *output, unsigned count)

## Protected Attributes

MicrosoftCryptoProvider | m_provider
int | m_fd

## Detailed Description

Encapsulates the Windows CryptoAPI's CryptGenRandom or /dev/urandom on Unix systems.

The documentation for this class was generated from the following files:

- apps/elftosb/common/Random.h
- apps/elftosb/common/Random.cpp